ProxyAuthK8S
ApiAuth_clusters

OAuth 2.0 Authorization Server Metadata for the cluster's mediated OAuth Authorization Server

GET
/clusters/{ns}/{cluster}/.well-known/oauth-authorization-server

Unauthenticated by nature (RFC 8414 discovery). If the cluster is not found, disabled, or does not have discovery enabled, return 404.

Path Parameters

ns*string

Namespace containing the cluster.

cluster*string

Cluster name that should exist in the namespace.

Response Body

OAuth 2.0 authorization server metadata (RFC 8414).

application/json
  1. response

OAuth 2.0 Authorization Server Metadata (RFC 8414) for a proxied cluster.

issuer is this proxy's own cluster URL, and so are every other endpoint: this proxy is a full mediating Authorization Server (see [crate::cluster::auth::oauth]), not a pointer to the cluster's upstream OIDC provider. A caller never needs to be registered with — or even learn the hostname of — the upstream provider; the proxy is.

authorization_endpoint*string
code_challenge_methods_supported*array<string>
grant_types_supported*array<string>
issuer*string
jwks_uri*string
response_types_supported*array<string>
scopes_supported*array<string>
token_endpoint*string
token_endpoint_auth_methods_supported*array<string>
Example Request
curl -X GET 'https://example.com/clusters/string/string/.well-known/oauth-authorization-server'
Example Response
{  "authorization_endpoint": "string",  "code_challenge_methods_supported": [    "string"  ],  "grant_types_supported": [    "string"  ],  "issuer": "string",  "jwks_uri": "string",  "response_types_supported": [    "string"  ],  "scopes_supported": [    "string"  ],  "token_endpoint": "string",  "token_endpoint_auth_methods_supported": [    "string"  ]}